Package ghidra.features.bsim.query.ingest

# Class BSimLaunchable

java.lang.Object
ghidra.features.bsim.query.ingest.BSimLaunchable

All Implemented Interfaces:
  `GhidraLaunchable`

public class BSimLaunchable extends Object implements GhidraLaunchable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimLaunchable()`
  Constructor for launching from the console

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `initializeApplication(ApplicationLayout layout, int type, String connectingUserName, String certPath)`
  From a cold start, initialize the Ghidra application to different stages, based on future requirements
  `void`
  `launch(GhidraApplicationLayout ghidraLayout, String[] params)`
  Launches the launchable.
  `void`
  `run(String[] params)`
  Runs the command specified by the given set of params.
  `void`
  `run(String[] params, TaskMonitor monitor)`
  Runs the command specified by the given set of params.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BSimLaunchable

    public BSimLaunchable()
    Constructor for launching from the console

- ## Method Details

  - ### run

    public void run(String[] params, TaskMonitor monitor) throws Exception, CancelledException
    Runs the command specified by the given set of params.
    Parameters:
      `params` - the parameters specifying the command
      `monitor` - the task monitor
    Throws:
      `IllegalArgumentException` - if invalid params have been specified
      `Exception` - if there's an error during the operation
      `CancelledException` - if processing is cancelled

  - ### run

    public void run(String[] params) throws Exception
    Runs the command specified by the given set of params.
    Parameters:
      `params` - the parameters specifying the command
    Throws:
      `Exception` - when initializing the application or executing the command

  - ### launch

    public void launch(GhidraApplicationLayout ghidraLayout, String[] params)
    Description copied from interface: `GhidraLaunchable`
    Launches the launchable.
    Specified by:
      `launch` in interface `GhidraLaunchable`
    Parameters:
      `ghidraLayout` - The application layout to use for the launch.
      `params` - The arguments passed through by the `GhidraLauncher`.

  - ### initializeApplication

    public static void initializeApplication(ApplicationLayout layout, int type, String connectingUserName, String certPath) throws IOException
    From a cold start, initialize the Ghidra application to different stages, based on future requirements
    Parameters:
      `layout` - application layout
      `type` - is an integer indicating how much to initialize 0 - limited initialization, enough simple execution and logging 1 - full initialization of ghidra for module path info and initialization 2 - same as #1 with class search for extensions
      `connectingUserName` - default user name for server connections
      `certPath` - PKI certificate path
    Throws:
      `IOException` - if there is a problem initializing the headless authenticator